ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.121 by ayin, Tue Dec 11 00:01:28 2007 UTC vs.
Revision 1.122 by ayin, Tue Dec 11 18:32:08 2007 UTC

684X_CFLAGS 684X_CFLAGS
685X_PRE_LIBS 685X_PRE_LIBS
686X_LIBS 686X_LIBS
687X_EXTRA_LIBS 687X_EXTRA_LIBS
688afterimage_config 688afterimage_config
689rxvt_int16_typedef
690rxvt_uint16_typedef
691rxvt_int32_typedef
692rxvt_uint32_typedef
693rxvt_intp_define
694rxvt_u_intp_define
695PKG_CONFIG 689PKG_CONFIG
696XFT_CONFIG 690XFT_CONFIG
697PERL 691PERL
698PERLLIB 692PERLLIB
699PERLFLAGS 693PERLFLAGS
701IF_PERL 695IF_PERL
702PERL_O 696PERL_O
703AFTERIMAGE_CFLAGS 697AFTERIMAGE_CFLAGS
704AFTERIMAGE_LIBS 698AFTERIMAGE_LIBS
705include_stdint_h 699include_stdint_h
706include_stdarg_h
707include_stdlib_h
708include_unistd_h
709include_string_h
710include_fcntl_h
711include_util_h
712include_assert_h
713include_sys_ioctl_h 700include_sys_ioctl_h
714include_sys_select_h
715include_sys_strredir_h 701include_sys_strredir_h
716include_sys_time_h
717include_time_h
718LIBOBJS 702LIBOBJS
719LTLIBOBJS' 703LTLIBOBJS'
720ac_subst_files='' 704ac_subst_files=''
721 ac_precious_vars='build_alias 705 ac_precious_vars='build_alias
722host_alias 706host_alias
7373 7357
7374 7358
7375 7359
7376 7360
7377 7361
7378
7379
7380
7381
7382
7383
7384
7385
7386
7387for ac_header in \ 7362for ac_header in \
7388 assert.h \
7389 fcntl.h \
7390 stdarg.h \
7391 stdlib.h \
7392 string.h \
7393 termios.h \
7394 unistd.h \
7395 sys/byteorder.h \ 7363 sys/byteorder.h \
7396 sys/ioctl.h \ 7364 sys/ioctl.h \
7397 sys/select.h \
7398 sys/sockio.h \ 7365 sys/sockio.h \
7399 sys/strredir.h \ 7366 sys/strredir.h \
7400 sys/time.h \
7401 stdint.h \ 7367 stdint.h \
7402 wchar.h \ 7368 wchar.h \
7403 cwchar \ 7369 cwchar \
7404 clocale \ 7370 clocale \
7405 7371
7553cat confdefs.h >>conftest.$ac_ext 7519cat confdefs.h >>conftest.$ac_ext
7554cat >>conftest.$ac_ext <<_ACEOF 7520cat >>conftest.$ac_ext <<_ACEOF
7555/* end confdefs.h. */ 7521/* end confdefs.h. */
7556#include <stdio.h> 7522#include <stdio.h>
7557#include <sys/ioctl.h> 7523#include <sys/ioctl.h>
7558#ifdef HAVE_TERMIOS_H
7559#include <termios.h> 7524#include <termios.h>
7560#endif 7525
7561int 7526int
7562main () 7527main ()
7563{ 7528{
7564int a = ECHO; 7529int a = ECHO;
7565 ; 7530 ;
7880_ACEOF 7845_ACEOF
7881 7846
7882fi 7847fi
7883 7848
7884 7849
7885{ echo "$as_me:$LINENO: checking for short" >&5 7850 { echo "$as_me:$LINENO: checking for int16_t" >&5
7886echo $ECHO_N "checking for short... $ECHO_C" >&6; } 7851echo $ECHO_N "checking for int16_t... $ECHO_C" >&6; }
7887if test "${ac_cv_type_short+set}" = set; then 7852if test "${ac_cv_c_int16_t+set}" = set; then
7888 echo $ECHO_N "(cached) $ECHO_C" >&6 7853 echo $ECHO_N "(cached) $ECHO_C" >&6
7889else 7854else
7855 ac_cv_c_int16_t=no
7856 for ac_type in 'int16_t' 'int' 'long int' \
7857 'long long int' 'short int' 'signed char'; do
7890 cat >conftest.$ac_ext <<_ACEOF 7858 cat >conftest.$ac_ext <<_ACEOF
7891/* confdefs.h. */ 7859/* confdefs.h. */
7892_ACEOF 7860_ACEOF
7893cat confdefs.h >>conftest.$ac_ext 7861cat confdefs.h >>conftest.$ac_ext
7894cat >>conftest.$ac_ext <<_ACEOF 7862cat >>conftest.$ac_ext <<_ACEOF
7895/* end confdefs.h. */ 7863/* end confdefs.h. */
7896$ac_includes_default 7864$ac_includes_default
7897typedef short ac__type_new_;
7898int 7865int
7899main () 7866main ()
7900{ 7867{
7901if ((ac__type_new_ *) 0) 7868static int test_array [1 - 2 * !(0 < ($ac_type) (((($ac_type) 1 << (16 - 2)) - 1) * 2 + 1))];
7902 return 0; 7869test_array [0] = 0
7903if (sizeof (ac__type_new_)) 7870
7904 return 0;
7905 ; 7871 ;
7906 return 0; 7872 return 0;
7907} 7873}
7908_ACEOF 7874_ACEOF
7909rm -f conftest.$ac_objext 7875rm -f conftest.$ac_objext
7921 echo "$as_me:$LINENO: \$? = $ac_status" >&5 7887 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7922 (exit $ac_status); } && { 7888 (exit $ac_status); } && {
7923 test -z "$ac_cxx_werror_flag" || 7889 test -z "$ac_cxx_werror_flag" ||
7924 test ! -s conftest.err 7890 test ! -s conftest.err
7925 } && test -s conftest.$ac_objext; then 7891 } && test -s conftest.$ac_objext; then
7926 ac_cv_type_short=yes
7927else
7928 echo "$as_me: failed program was:" >&5
7929sed 's/^/| /' conftest.$ac_ext >&5
7930
7931 ac_cv_type_short=no
7932fi
7933
7934rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7935fi
7936{ echo "$as_me:$LINENO: result: $ac_cv_type_short" >&5
7937echo "${ECHO_T}$ac_cv_type_short" >&6; }
7938
7939# The cast to long int works around a bug in the HP C Compiler
7940# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
7941# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
7942# This bug is HP SR number 8606223364.
7943{ echo "$as_me:$LINENO: checking size of short" >&5
7944echo $ECHO_N "checking size of short... $ECHO_C" >&6; }
7945if test "${ac_cv_sizeof_short+set}" = set; then
7946 echo $ECHO_N "(cached) $ECHO_C" >&6
7947else
7948 if test "$cross_compiling" = yes; then
7949 # Depending upon the size, compute the lo and hi bounds.
7950cat >conftest.$ac_ext <<_ACEOF 7892 cat >conftest.$ac_ext <<_ACEOF
7951/* confdefs.h. */ 7893/* confdefs.h. */
7952_ACEOF 7894_ACEOF
7953cat confdefs.h >>conftest.$ac_ext 7895cat confdefs.h >>conftest.$ac_ext
7954cat >>conftest.$ac_ext <<_ACEOF 7896cat >>conftest.$ac_ext <<_ACEOF
7955/* end confdefs.h. */ 7897/* end confdefs.h. */
7956$ac_includes_default 7898$ac_includes_default
7957 typedef short ac__type_sizeof_;
7958int 7899int
7959main () 7900main ()
7960{ 7901{
7961static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)]; 7902static int test_array [1 - 2 * !(($ac_type) (((($ac_type) 1 << (16 - 2)) - 1) * 2 + 1)
7903 < ($ac_type) (((($ac_type) 1 << (16 - 2)) - 1) * 2 + 2))];
7962test_array [0] = 0 7904test_array [0] = 0
7963 7905
7964 ; 7906 ;
7965 return 0; 7907 return 0;
7966} 7908}
7980 echo "$as_me:$LINENO: \$? = $ac_status" >&5 7922 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7981 (exit $ac_status); } && { 7923 (exit $ac_status); } && {
7982 test -z "$ac_cxx_werror_flag" || 7924 test -z "$ac_cxx_werror_flag" ||
7983 test ! -s conftest.err 7925 test ! -s conftest.err
7984 } && test -s conftest.$ac_objext; then 7926 } && test -s conftest.$ac_objext; then
7985 ac_lo=0 ac_mid=0 7927 :
7986 while :; do 7928else
7929 echo "$as_me: failed program was:" >&5
7930sed 's/^/| /' conftest.$ac_ext >&5
7931
7932 case $ac_type in
7933 int16_t) ac_cv_c_int16_t=yes ;;
7934 *) ac_cv_c_int16_t=$ac_type ;;
7935esac
7936
7937fi
7938
7939rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7940else
7941 echo "$as_me: failed program was:" >&5
7942sed 's/^/| /' conftest.$ac_ext >&5
7943
7944
7945fi
7946
7947rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7948 test "$ac_cv_c_int16_t" != no && break
7949 done
7950fi
7951{ echo "$as_me:$LINENO: result: $ac_cv_c_int16_t" >&5
7952echo "${ECHO_T}$ac_cv_c_int16_t" >&6; }
7953 case $ac_cv_c_int16_t in #(
7954 no|yes) ;; #(
7955 *)
7956
7957cat >>confdefs.h <<_ACEOF
7958#define int16_t $ac_cv_c_int16_t
7959_ACEOF
7960;;
7961 esac
7962
7963
7964 { echo "$as_me:$LINENO: checking for uint16_t" >&5
7965echo $ECHO_N "checking for uint16_t... $ECHO_C" >&6; }
7966if test "${ac_cv_c_uint16_t+set}" = set; then
7967 echo $ECHO_N "(cached) $ECHO_C" >&6
7968else
7969 ac_cv_c_uint16_t=no
7970 for ac_type in 'uint16_t' 'unsigned int' 'unsigned long int' \
7971 'unsigned long long int' 'unsigned short int' 'unsigned char'; do
7987 cat >conftest.$ac_ext <<_ACEOF 7972 cat >conftest.$ac_ext <<_ACEOF
7988/* confdefs.h. */ 7973/* confdefs.h. */
7989_ACEOF 7974_ACEOF
7990cat confdefs.h >>conftest.$ac_ext 7975cat confdefs.h >>conftest.$ac_ext
7991cat >>conftest.$ac_ext <<_ACEOF 7976cat >>conftest.$ac_ext <<_ACEOF
7992/* end confdefs.h. */ 7977/* end confdefs.h. */
7993$ac_includes_default 7978$ac_includes_default
7994 typedef short ac__type_sizeof_;
7995int 7979int
7996main () 7980main ()
7997{ 7981{
7998static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)]; 7982static int test_array [1 - 2 * !(($ac_type) -1 >> (16 - 1) == 1)];
7999test_array [0] = 0 7983test_array [0] = 0
8000 7984
8001 ; 7985 ;
8002 return 0; 7986 return 0;
8003} 7987}
8017 echo "$as_me:$LINENO: \$? = $ac_status" >&5 8001 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8018 (exit $ac_status); } && { 8002 (exit $ac_status); } && {
8019 test -z "$ac_cxx_werror_flag" || 8003 test -z "$ac_cxx_werror_flag" ||
8020 test ! -s conftest.err 8004 test ! -s conftest.err
8021 } && test -s conftest.$ac_objext; then 8005 } && test -s conftest.$ac_objext; then
8022 ac_hi=$ac_mid; break 8006 case $ac_type in
8007 uint16_t) ac_cv_c_uint16_t=yes ;;
8008 *) ac_cv_c_uint16_t=$ac_type ;;
8009esac
8010
8023else 8011else
8024 echo "$as_me: failed program was:" >&5 8012 echo "$as_me: failed program was:" >&5
8025sed 's/^/| /' conftest.$ac_ext >&5 8013sed 's/^/| /' conftest.$ac_ext >&5
8026 8014
8027 ac_lo=`expr $ac_mid + 1` 8015
8028 if test $ac_lo -le $ac_mid; then
8029 ac_lo= ac_hi=
8030 break
8031 fi
8032 ac_mid=`expr 2 '*' $ac_mid + 1`
8033fi 8016fi
8034 8017
8035rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8018rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8019 test "$ac_cv_c_uint16_t" != no && break
8036 done 8020 done
8037else 8021fi
8038 echo "$as_me: failed program was:" >&5 8022{ echo "$as_me:$LINENO: result: $ac_cv_c_uint16_t" >&5
8039sed 's/^/| /' conftest.$ac_ext >&5 8023echo "${ECHO_T}$ac_cv_c_uint16_t" >&6; }
8024 case $ac_cv_c_uint16_t in #(
8025 no|yes) ;; #(
8026 *)
8040 8027
8028
8029cat >>confdefs.h <<_ACEOF
8030#define uint16_t $ac_cv_c_uint16_t
8031_ACEOF
8032;;
8033 esac
8034
8035
8036 { echo "$as_me:$LINENO: checking for int32_t" >&5
8037echo $ECHO_N "checking for int32_t... $ECHO_C" >&6; }
8038if test "${ac_cv_c_int32_t+set}" = set; then
8039 echo $ECHO_N "(cached) $ECHO_C" >&6
8040else
8041 ac_cv_c_int32_t=no
8042 for ac_type in 'int32_t' 'int' 'long int' \
8043 'long long int' 'short int' 'signed char'; do
8041 cat >conftest.$ac_ext <<_ACEOF 8044 cat >conftest.$ac_ext <<_ACEOF
8042/* confdefs.h. */ 8045/* confdefs.h. */
8043_ACEOF 8046_ACEOF
8044cat confdefs.h >>conftest.$ac_ext 8047cat confdefs.h >>conftest.$ac_ext
8045cat >>conftest.$ac_ext <<_ACEOF 8048cat >>conftest.$ac_ext <<_ACEOF
8046/* end confdefs.h. */ 8049/* end confdefs.h. */
8047$ac_includes_default 8050$ac_includes_default
8048 typedef short ac__type_sizeof_;
8049int 8051int
8050main () 8052main ()
8051{ 8053{
8052static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)]; 8054static int test_array [1 - 2 * !(0 < ($ac_type) (((($ac_type) 1 << (32 - 2)) - 1) * 2 + 1))];
8053test_array [0] = 0 8055test_array [0] = 0
8054 8056
8055 ; 8057 ;
8056 return 0; 8058 return 0;
8057} 8059}
8071 echo "$as_me:$LINENO: \$? = $ac_status" >&5 8073 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8072 (exit $ac_status); } && { 8074 (exit $ac_status); } && {
8073 test -z "$ac_cxx_werror_flag" || 8075 test -z "$ac_cxx_werror_flag" ||
8074 test ! -s conftest.err 8076 test ! -s conftest.err
8075 } && test -s conftest.$ac_objext; then 8077 } && test -s conftest.$ac_objext; then
8076 ac_hi=-1 ac_mid=-1
8077 while :; do
8078 cat >conftest.$ac_ext <<_ACEOF 8078 cat >conftest.$ac_ext <<_ACEOF
8079/* confdefs.h. */ 8079/* confdefs.h. */
8080_ACEOF 8080_ACEOF
8081cat confdefs.h >>conftest.$ac_ext 8081cat confdefs.h >>conftest.$ac_ext
8082cat >>conftest.$ac_ext <<_ACEOF 8082cat >>conftest.$ac_ext <<_ACEOF
8083/* end confdefs.h. */ 8083/* end confdefs.h. */
8084$ac_includes_default 8084$ac_includes_default
8085 typedef short ac__type_sizeof_;
8086int 8085int
8087main () 8086main ()
8088{ 8087{
8089static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)]; 8088static int test_array [1 - 2 * !(($ac_type) (((($ac_type) 1 << (32 - 2)) - 1) * 2 + 1)
8089 < ($ac_type) (((($ac_type) 1 << (32 - 2)) - 1) * 2 + 2))];
8090test_array [0] = 0 8090test_array [0] = 0
8091 8091
8092 ; 8092 ;
8093 return 0; 8093 return 0;
8094} 8094}
8108 echo "$as_me:$LINENO: \$? = $ac_status" >&5 8108 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8109 (exit $ac_status); } && { 8109 (exit $ac_status); } && {
8110 test -z "$ac_cxx_werror_flag" || 8110 test -z "$ac_cxx_werror_flag" ||
8111 test ! -s conftest.err 8111 test ! -s conftest.err
8112 } && test -s conftest.$ac_objext; then 8112 } && test -s conftest.$ac_objext; then
8113 ac_lo=$ac_mid; break 8113 :
8114else 8114else
8115 echo "$as_me: failed program was:" >&5 8115 echo "$as_me: failed program was:" >&5
8116sed 's/^/| /' conftest.$ac_ext >&5 8116sed 's/^/| /' conftest.$ac_ext >&5
8117 8117
8118 ac_hi=`expr '(' $ac_mid ')' - 1` 8118 case $ac_type in
8119 if test $ac_mid -le $ac_hi; then 8119 int32_t) ac_cv_c_int32_t=yes ;;
8120 ac_lo= ac_hi= 8120 *) ac_cv_c_int32_t=$ac_type ;;
8121 break 8121esac
8122 fi 8122
8123 ac_mid=`expr 2 '*' $ac_mid`
8124fi 8123fi
8125 8124
8126rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8125rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8127 done
8128else 8126else
8129 echo "$as_me: failed program was:" >&5 8127 echo "$as_me: failed program was:" >&5
8130sed 's/^/| /' conftest.$ac_ext >&5 8128sed 's/^/| /' conftest.$ac_ext >&5
8131 8129
8132 ac_lo= ac_hi= 8130
8133fi 8131fi
8134 8132
8135rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8133rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8134 test "$ac_cv_c_int32_t" != no && break
8135 done
8136fi 8136fi
8137{ echo "$as_me:$LINENO: result: $ac_cv_c_int32_t" >&5
8138echo "${ECHO_T}$ac_cv_c_int32_t" >&6; }
8139 case $ac_cv_c_int32_t in #(
8140 no|yes) ;; #(
8141 *)
8137 8142
8138rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8143cat >>confdefs.h <<_ACEOF
8139# Binary search between lo and hi bounds. 8144#define int32_t $ac_cv_c_int32_t
8140while test "x$ac_lo" != "x$ac_hi"; do 8145_ACEOF
8141 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo` 8146;;
8147 esac
8148
8149
8150 { echo "$as_me:$LINENO: checking for uint32_t" >&5
8151echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6; }
8152if test "${ac_cv_c_uint32_t+set}" = set; then
8153 echo $ECHO_N "(cached) $ECHO_C" >&6
8154else
8155 ac_cv_c_uint32_t=no
8156 for ac_type in 'uint32_t' 'unsigned int' 'unsigned long int' \
8157 'unsigned long long int' 'unsigned short int' 'unsigned char'; do
8142 cat >conftest.$ac_ext <<_ACEOF 8158 cat >conftest.$ac_ext <<_ACEOF
8143/* confdefs.h. */ 8159/* confdefs.h. */
8144_ACEOF 8160_ACEOF
8145cat confdefs.h >>conftest.$ac_ext 8161cat confdefs.h >>conftest.$ac_ext
8146cat >>conftest.$ac_ext <<_ACEOF 8162cat >>conftest.$ac_ext <<_ACEOF
8147/* end confdefs.h. */ 8163/* end confdefs.h. */
8148$ac_includes_default 8164$ac_includes_default
8149 typedef short ac__type_sizeof_;
8150int 8165int
8151main () 8166main ()
8152{ 8167{
8153static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)]; 8168static int test_array [1 - 2 * !(($ac_type) -1 >> (32 - 1) == 1)];
8154test_array [0] = 0 8169test_array [0] = 0
8155 8170
8156 ; 8171 ;
8157 return 0; 8172 return 0;
8158} 8173}
8172 echo "$as_me:$LINENO: \$? = $ac_status" >&5 8187 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8173 (exit $ac_status); } && { 8188 (exit $ac_status); } && {
8174 test -z "$ac_cxx_werror_flag" || 8189 test -z "$ac_cxx_werror_flag" ||
8175 test ! -s conftest.err 8190 test ! -s conftest.err
8176 } && test -s conftest.$ac_objext; then 8191 } && test -s conftest.$ac_objext; then
8177 ac_hi=$ac_mid 8192 case $ac_type in
8193 uint32_t) ac_cv_c_uint32_t=yes ;;
8194 *) ac_cv_c_uint32_t=$ac_type ;;
8195esac
8196
8178else 8197else
8179 echo "$as_me: failed program was:" >&5 8198 echo "$as_me: failed program was:" >&5
8180sed 's/^/| /' conftest.$ac_ext >&5 8199sed 's/^/| /' conftest.$ac_ext >&5
8181 8200
8182 ac_lo=`expr '(' $ac_mid ')' + 1` 8201
8183fi 8202fi
8184 8203
8185rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8204rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8186done 8205 test "$ac_cv_c_uint32_t" != no && break
8187case $ac_lo in 8206 done
8188?*) ac_cv_sizeof_short=$ac_lo;;
8189'') if test "$ac_cv_type_short" = yes; then
8190 { { echo "$as_me:$LINENO: error: cannot compute sizeof (short)
8191See \`config.log' for more details." >&5
8192echo "$as_me: error: cannot compute sizeof (short)
8193See \`config.log' for more details." >&2;}
8194 { (exit 77); exit 77; }; }
8195 else
8196 ac_cv_sizeof_short=0
8197 fi ;;
8198esac
8199else
8200 cat >conftest.$ac_ext <<_ACEOF
8201/* confdefs.h. */
8202_ACEOF
8203cat confdefs.h >>conftest.$ac_ext
8204cat >>conftest.$ac_ext <<_ACEOF
8205/* end confdefs.h. */
8206$ac_includes_default
8207 typedef short ac__type_sizeof_;
8208static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
8209static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
8210#include <stdio.h>
8211#include <stdlib.h>
8212int
8213main ()
8214{
8215
8216 FILE *f = fopen ("conftest.val", "w");
8217 if (! f)
8218 return 1;
8219 if (((long int) (sizeof (ac__type_sizeof_))) < 0)
8220 {
8221 long int i = longval ();
8222 if (i != ((long int) (sizeof (ac__type_sizeof_))))
8223 return 1;
8224 fprintf (f, "%ld\n", i);
8225 }
8226 else
8227 {
8228 unsigned long int i = ulongval ();
8229 if (i != ((long int) (sizeof (ac__type_sizeof_))))
8230 return 1;
8231 fprintf (f, "%lu\n", i);
8232 }
8233 return ferror (f) || fclose (f) != 0;
8234
8235 ;
8236 return 0;
8237}
8238_ACEOF
8239rm -f conftest$ac_exeext
8240if { (ac_try="$ac_link"
8241case "(($ac_try" in
8242 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8243 *) ac_try_echo=$ac_try;;
8244esac
8245eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8246 (eval "$ac_link") 2>&5
8247 ac_status=$?
8248 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8249 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
8250 { (case "(($ac_try" in
8251 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8252 *) ac_try_echo=$ac_try;;
8253esac
8254eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8255 (eval "$ac_try") 2>&5
8256 ac_status=$?
8257 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8258 (exit $ac_status); }; }; then
8259 ac_cv_sizeof_short=`cat conftest.val`
8260else
8261 echo "$as_me: program exited with status $ac_status" >&5
8262echo "$as_me: failed program was:" >&5
8263sed 's/^/| /' conftest.$ac_ext >&5
8264
8265( exit $ac_status )
8266if test "$ac_cv_type_short" = yes; then
8267 { { echo "$as_me:$LINENO: error: cannot compute sizeof (short)
8268See \`config.log' for more details." >&5
8269echo "$as_me: error: cannot compute sizeof (short)
8270See \`config.log' for more details." >&2;}
8271 { (exit 77); exit 77; }; }
8272 else
8273 ac_cv_sizeof_short=0
8274 fi
8275fi 8207fi
8276rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
8277fi
8278rm -f conftest.val
8279fi
8280{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_short" >&5 8208{ echo "$as_me:$LINENO: result: $ac_cv_c_uint32_t" >&5
8281echo "${ECHO_T}$ac_cv_sizeof_short" >&6; } 8209echo "${ECHO_T}$ac_cv_c_uint32_t" >&6; }
8210 case $ac_cv_c_uint32_t in #(
8211 no|yes) ;; #(
8212 *)
8282 8213
8214cat >>confdefs.h <<\_ACEOF
8215#define _UINT32_T 1
8216_ACEOF
8283 8217
8284 8218
8285cat >>confdefs.h <<_ACEOF 8219cat >>confdefs.h <<_ACEOF
8286#define SIZEOF_SHORT $ac_cv_sizeof_short 8220#define uint32_t $ac_cv_c_uint32_t
8287_ACEOF 8221_ACEOF
8288 8222;;
8289
8290{ echo "$as_me:$LINENO: checking for int" >&5
8291echo $ECHO_N "checking for int... $ECHO_C" >&6; }
8292if test "${ac_cv_type_int+set}" = set; then
8293 echo $ECHO_N "(cached) $ECHO_C" >&6
8294else
8295 cat >conftest.$ac_ext <<_ACEOF
8296/* confdefs.h. */
8297_ACEOF
8298cat confdefs.h >>conftest.$ac_ext
8299cat >>conftest.$ac_ext <<_ACEOF
8300/* end confdefs.h. */
8301$ac_includes_default
8302typedef int ac__type_new_;
8303int
8304main ()
8305{
8306if ((ac__type_new_ *) 0)
8307 return 0;
8308if (sizeof (ac__type_new_))
8309 return 0;
8310 ;
8311 return 0;
8312}
8313_ACEOF
8314rm -f conftest.$ac_objext
8315if { (ac_try="$ac_compile"
8316case "(($ac_try" in
8317 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8318 *) ac_try_echo=$ac_try;;
8319esac 8223 esac
8320eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8321 (eval "$ac_compile") 2>conftest.er1
8322 ac_status=$?
8323 grep -v '^ *+' conftest.er1 >conftest.err
8324 rm -f conftest.er1
8325 cat conftest.err >&5
8326 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8327 (exit $ac_status); } && {
8328 test -z "$ac_cxx_werror_flag" ||
8329 test ! -s conftest.err
8330 } && test -s conftest.$ac_objext; then
8331 ac_cv_type_int=yes
8332else
8333 echo "$as_me: failed program was:" >&5
8334sed 's/^/| /' conftest.$ac_ext >&5
8335
8336 ac_cv_type_int=no
8337fi
8338
8339rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8340fi
8341{ echo "$as_me:$LINENO: result: $ac_cv_type_int" >&5
8342echo "${ECHO_T}$ac_cv_type_int" >&6; }
8343
8344# The cast to long int works around a bug in the HP C Compiler
8345# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
8346# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
8347# This bug is HP SR number 8606223364.
8348{ echo "$as_me:$LINENO: checking size of int" >&5
8349echo $ECHO_N "checking size of int... $ECHO_C" >&6; }
8350if test "${ac_cv_sizeof_int+set}" = set; then
8351 echo $ECHO_N "(cached) $ECHO_C" >&6
8352else
8353 if test "$cross_compiling" = yes; then
8354 # Depending upon the size, compute the lo and hi bounds.
8355cat >conftest.$ac_ext <<_ACEOF
8356/* confdefs.h. */
8357_ACEOF
8358cat confdefs.h >>conftest.$ac_ext
8359cat >>conftest.$ac_ext <<_ACEOF
8360/* end confdefs.h. */
8361$ac_includes_default
8362 typedef int ac__type_sizeof_;
8363int
8364main ()
8365{
8366static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
8367test_array [0] = 0
8368
8369 ;
8370 return 0;
8371}
8372_ACEOF
8373rm -f conftest.$ac_objext
8374if { (ac_try="$ac_compile"
8375case "(($ac_try" in
8376 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8377 *) ac_try_echo=$ac_try;;
8378esac
8379eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8380 (eval "$ac_compile") 2>conftest.er1
8381 ac_status=$?
8382 grep -v '^ *+' conftest.er1 >conftest.err
8383 rm -f conftest.er1
8384 cat conftest.err >&5
8385 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8386 (exit $ac_status); } && {
8387 test -z "$ac_cxx_werror_flag" ||
8388 test ! -s conftest.err
8389 } && test -s conftest.$ac_objext; then
8390 ac_lo=0 ac_mid=0
8391 while :; do
8392 cat >conftest.$ac_ext <<_ACEOF
8393/* confdefs.h. */
8394_ACEOF
8395cat confdefs.h >>conftest.$ac_ext
8396cat >>conftest.$ac_ext <<_ACEOF
8397/* end confdefs.h. */
8398$ac_includes_default
8399 typedef int ac__type_sizeof_;
8400int
8401main ()
8402{
8403static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
8404test_array [0] = 0
8405
8406 ;
8407 return 0;
8408}
8409_ACEOF
8410rm -f conftest.$ac_objext
8411if { (ac_try="$ac_compile"
8412case "(($ac_try" in
8413 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8414 *) ac_try_echo=$ac_try;;
8415esac
8416eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8417 (eval "$ac_compile") 2>conftest.er1
8418 ac_status=$?
8419 grep -v '^ *+' conftest.er1 >conftest.err
8420 rm -f conftest.er1
8421 cat conftest.err >&5
8422 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8423 (exit $ac_status); } && {
8424 test -z "$ac_cxx_werror_flag" ||
8425 test ! -s conftest.err
8426 } && test -s conftest.$ac_objext; then
8427 ac_hi=$ac_mid; break
8428else
8429 echo "$as_me: failed program was:" >&5
8430sed 's/^/| /' conftest.$ac_ext >&5
8431
8432 ac_lo=`expr $ac_mid + 1`
8433 if test $ac_lo -le $ac_mid; then
8434 ac_lo= ac_hi=
8435 break
8436 fi
8437 ac_mid=`expr 2 '*' $ac_mid + 1`
8438fi
8439
8440rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8441 done
8442else
8443 echo "$as_me: failed program was:" >&5
8444sed 's/^/| /' conftest.$ac_ext >&5
8445
8446 cat >conftest.$ac_ext <<_ACEOF
8447/* confdefs.h. */
8448_ACEOF
8449cat confdefs.h >>conftest.$ac_ext
8450cat >>conftest.$ac_ext <<_ACEOF
8451/* end confdefs.h. */
8452$ac_includes_default
8453 typedef int ac__type_sizeof_;
8454int
8455main ()
8456{
8457static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
8458test_array [0] = 0
8459
8460 ;
8461 return 0;
8462}
8463_ACEOF
8464rm -f conftest.$ac_objext
8465if { (ac_try="$ac_compile"
8466case "(($ac_try" in
8467 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8468 *) ac_try_echo=$ac_try;;
8469esac
8470eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8471 (eval "$ac_compile") 2>conftest.er1
8472 ac_status=$?
8473 grep -v '^ *+' conftest.er1 >conftest.err
8474 rm -f conftest.er1
8475 cat conftest.err >&5
8476 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8477 (exit $ac_status); } && {
8478 test -z "$ac_cxx_werror_flag" ||
8479 test ! -s conftest.err
8480 } && test -s conftest.$ac_objext; then
8481 ac_hi=-1 ac_mid=-1
8482 while :; do
8483 cat >conftest.$ac_ext <<_ACEOF
8484/* confdefs.h. */
8485_ACEOF
8486cat confdefs.h >>conftest.$ac_ext
8487cat >>conftest.$ac_ext <<_ACEOF
8488/* end confdefs.h. */
8489$ac_includes_default
8490 typedef int ac__type_sizeof_;
8491int
8492main ()
8493{
8494static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
8495test_array [0] = 0
8496
8497 ;
8498 return 0;
8499}
8500_ACEOF
8501rm -f conftest.$ac_objext
8502if { (ac_try="$ac_compile"
8503case "(($ac_try" in
8504 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8505 *) ac_try_echo=$ac_try;;
8506esac
8507eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8508 (eval "$ac_compile") 2>conftest.er1
8509 ac_status=$?
8510 grep -v '^ *+' conftest.er1 >conftest.err
8511 rm -f conftest.er1
8512 cat conftest.err >&5
8513 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8514 (exit $ac_status); } && {
8515 test -z "$ac_cxx_werror_flag" ||
8516 test ! -s conftest.err
8517 } && test -s conftest.$ac_objext; then
8518 ac_lo=$ac_mid; break
8519else
8520 echo "$as_me: failed program was:" >&5
8521sed 's/^/| /' conftest.$ac_ext >&5
8522
8523 ac_hi=`expr '(' $ac_mid ')' - 1`
8524 if test $ac_mid -le $ac_hi; then
8525 ac_lo= ac_hi=
8526 break
8527 fi
8528 ac_mid=`expr 2 '*' $ac_mid`
8529fi
8530
8531rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8532 done
8533else
8534 echo "$as_me: failed program was:" >&5
8535sed 's/^/| /' conftest.$ac_ext >&5
8536
8537 ac_lo= ac_hi=
8538fi
8539
8540rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8541fi
8542
8543rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8544# Binary search between lo and hi bounds.
8545while test "x$ac_lo" != "x$ac_hi"; do
8546 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
8547 cat >conftest.$ac_ext <<_ACEOF
8548/* confdefs.h. */
8549_ACEOF
8550cat confdefs.h >>conftest.$ac_ext
8551cat >>conftest.$ac_ext <<_ACEOF
8552/* end confdefs.h. */
8553$ac_includes_default
8554 typedef int ac__type_sizeof_;
8555int
8556main ()
8557{
8558static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
8559test_array [0] = 0
8560
8561 ;
8562 return 0;
8563}
8564_ACEOF
8565rm -f conftest.$ac_objext
8566if { (ac_try="$ac_compile"
8567case "(($ac_try" in
8568 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8569 *) ac_try_echo=$ac_try;;
8570esac
8571eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8572 (eval "$ac_compile") 2>conftest.er1
8573 ac_status=$?
8574 grep -v '^ *+' conftest.er1 >conftest.err
8575 rm -f conftest.er1
8576 cat conftest.err >&5
8577 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8578 (exit $ac_status); } && {
8579 test -z "$ac_cxx_werror_flag" ||
8580 test ! -s conftest.err
8581 } && test -s conftest.$ac_objext; then
8582 ac_hi=$ac_mid
8583else
8584 echo "$as_me: failed program was:" >&5
8585sed 's/^/| /' conftest.$ac_ext >&5
8586
8587 ac_lo=`expr '(' $ac_mid ')' + 1`
8588fi
8589
8590rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8591done
8592case $ac_lo in
8593?*) ac_cv_sizeof_int=$ac_lo;;
8594'') if test "$ac_cv_type_int" = yes; then
8595 { { echo "$as_me:$LINENO: error: cannot compute sizeof (int)
8596See \`config.log' for more details." >&5
8597echo "$as_me: error: cannot compute sizeof (int)
8598See \`config.log' for more details." >&2;}
8599 { (exit 77); exit 77; }; }
8600 else
8601 ac_cv_sizeof_int=0
8602 fi ;;
8603esac
8604else
8605 cat >conftest.$ac_ext <<_ACEOF
8606/* confdefs.h. */
8607_ACEOF
8608cat confdefs.h >>conftest.$ac_ext
8609cat >>conftest.$ac_ext <<_ACEOF
8610/* end confdefs.h. */
8611$ac_includes_default
8612 typedef int ac__type_sizeof_;
8613static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
8614static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
8615#include <stdio.h>
8616#include <stdlib.h>
8617int
8618main ()
8619{
8620
8621 FILE *f = fopen ("conftest.val", "w");
8622 if (! f)
8623 return 1;
8624 if (((long int) (sizeof (ac__type_sizeof_))) < 0)
8625 {
8626 long int i = longval ();
8627 if (i != ((long int) (sizeof (ac__type_sizeof_))))
8628 return 1;
8629 fprintf (f, "%ld\n", i);
8630 }
8631 else
8632 {
8633 unsigned long int i = ulongval ();
8634 if (i != ((long int) (sizeof (ac__type_sizeof_))))
8635 return 1;
8636 fprintf (f, "%lu\n", i);
8637 }
8638 return ferror (f) || fclose (f) != 0;
8639
8640 ;
8641 return 0;
8642}
8643_ACEOF
8644rm -f conftest$ac_exeext
8645if { (ac_try="$ac_link"
8646case "(($ac_try" in
8647 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8648 *) ac_try_echo=$ac_try;;
8649esac
8650eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8651 (eval "$ac_link") 2>&5
8652 ac_status=$?
8653 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8654 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
8655 { (case "(($ac_try" in
8656 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8657 *) ac_try_echo=$ac_try;;
8658esac
8659eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8660 (eval "$ac_try") 2>&5
8661 ac_status=$?
8662 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8663 (exit $ac_status); }; }; then
8664 ac_cv_sizeof_int=`cat conftest.val`
8665else
8666 echo "$as_me: program exited with status $ac_status" >&5
8667echo "$as_me: failed program was:" >&5
8668sed 's/^/| /' conftest.$ac_ext >&5
8669
8670( exit $ac_status )
8671if test "$ac_cv_type_int" = yes; then
8672 { { echo "$as_me:$LINENO: error: cannot compute sizeof (int)
8673See \`config.log' for more details." >&5
8674echo "$as_me: error: cannot compute sizeof (int)
8675See \`config.log' for more details." >&2;}
8676 { (exit 77); exit 77; }; }
8677 else
8678 ac_cv_sizeof_int=0
8679 fi
8680fi
8681rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
8682fi
8683rm -f conftest.val
8684fi
8685{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
8686echo "${ECHO_T}$ac_cv_sizeof_int" >&6; }
8687
8688
8689
8690cat >>confdefs.h <<_ACEOF
8691#define SIZEOF_INT $ac_cv_sizeof_int
8692_ACEOF
8693
8694
8695{ echo "$as_me:$LINENO: checking for long long" >&5
8696echo $ECHO_N "checking for long long... $ECHO_C" >&6; }
8697if test "${ac_cv_type_long_long+set}" = set; then
8698 echo $ECHO_N "(cached) $ECHO_C" >&6
8699else
8700 cat >conftest.$ac_ext <<_ACEOF
8701/* confdefs.h. */
8702_ACEOF
8703cat confdefs.h >>conftest.$ac_ext
8704cat >>conftest.$ac_ext <<_ACEOF
8705/* end confdefs.h. */
8706$ac_includes_default
8707typedef long long ac__type_new_;
8708int
8709main ()
8710{
8711if ((ac__type_new_ *) 0)
8712 return 0;
8713if (sizeof (ac__type_new_))
8714 return 0;
8715 ;
8716 return 0;
8717}
8718_ACEOF
8719rm -f conftest.$ac_objext
8720if { (ac_try="$ac_compile"
8721case "(($ac_try" in
8722 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8723 *) ac_try_echo=$ac_try;;
8724esac
8725eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8726 (eval "$ac_compile") 2>conftest.er1
8727 ac_status=$?
8728 grep -v '^ *+' conftest.er1 >conftest.err
8729 rm -f conftest.er1
8730 cat conftest.err >&5
8731 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8732 (exit $ac_status); } && {
8733 test -z "$ac_cxx_werror_flag" ||
8734 test ! -s conftest.err
8735 } && test -s conftest.$ac_objext; then
8736 ac_cv_type_long_long=yes
8737else
8738 echo "$as_me: failed program was:" >&5
8739sed 's/^/| /' conftest.$ac_ext >&5
8740
8741 ac_cv_type_long_long=no
8742fi
8743
8744rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8745fi
8746{ echo "$as_me:$LINENO: result: $ac_cv_type_long_long" >&5
8747echo "${ECHO_T}$ac_cv_type_long_long" >&6; }
8748
8749# The cast to long int works around a bug in the HP C Compiler
8750# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
8751# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
8752# This bug is HP SR number 8606223364.
8753{ echo "$as_me:$LINENO: checking size of long long" >&5
8754echo $ECHO_N "checking size of long long... $ECHO_C" >&6; }
8755if test "${ac_cv_sizeof_long_long+set}" = set; then
8756 echo $ECHO_N "(cached) $ECHO_C" >&6
8757else
8758 if test "$cross_compiling" = yes; then
8759 # Depending upon the size, compute the lo and hi bounds.
8760cat >conftest.$ac_ext <<_ACEOF
8761/* confdefs.h. */
8762_ACEOF
8763cat confdefs.h >>conftest.$ac_ext
8764cat >>conftest.$ac_ext <<_ACEOF
8765/* end confdefs.h. */
8766$ac_includes_default
8767 typedef long long ac__type_sizeof_;
8768int
8769main ()
8770{
8771static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
8772test_array [0] = 0
8773
8774 ;
8775 return 0;
8776}
8777_ACEOF
8778rm -f conftest.$ac_objext
8779if { (ac_try="$ac_compile"
8780case "(($ac_try" in
8781 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8782 *) ac_try_echo=$ac_try;;
8783esac
8784eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8785 (eval "$ac_compile") 2>conftest.er1
8786 ac_status=$?
8787 grep -v '^ *+' conftest.er1 >conftest.err
8788 rm -f conftest.er1
8789 cat conftest.err >&5
8790 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8791 (exit $ac_status); } && {
8792 test -z "$ac_cxx_werror_flag" ||
8793 test ! -s conftest.err
8794 } && test -s conftest.$ac_objext; then
8795 ac_lo=0 ac_mid=0
8796 while :; do
8797 cat >conftest.$ac_ext <<_ACEOF
8798/* confdefs.h. */
8799_ACEOF
8800cat confdefs.h >>conftest.$ac_ext
8801cat >>conftest.$ac_ext <<_ACEOF
8802/* end confdefs.h. */
8803$ac_includes_default
8804 typedef long long ac__type_sizeof_;
8805int
8806main ()
8807{
8808static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
8809test_array [0] = 0
8810
8811 ;
8812 return 0;
8813}
8814_ACEOF
8815rm -f conftest.$ac_objext
8816if { (ac_try="$ac_compile"
8817case "(($ac_try" in
8818 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8819 *) ac_try_echo=$ac_try;;
8820esac
8821eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8822 (eval "$ac_compile") 2>conftest.er1
8823 ac_status=$?
8824 grep -v '^ *+' conftest.er1 >conftest.err
8825 rm -f conftest.er1
8826 cat conftest.err >&5
8827 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8828 (exit $ac_status); } && {
8829 test -z "$ac_cxx_werror_flag" ||
8830 test ! -s conftest.err
8831 } && test -s conftest.$ac_objext; then
8832 ac_hi=$ac_mid; break
8833else
8834 echo "$as_me: failed program was:" >&5
8835sed 's/^/| /' conftest.$ac_ext >&5
8836
8837 ac_lo=`expr $ac_mid + 1`
8838 if test $ac_lo -le $ac_mid; then
8839 ac_lo= ac_hi=
8840 break
8841 fi
8842 ac_mid=`expr 2 '*' $ac_mid + 1`
8843fi
8844
8845rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8846 done
8847else
8848 echo "$as_me: failed program was:" >&5
8849sed 's/^/| /' conftest.$ac_ext >&5
8850
8851 cat >conftest.$ac_ext <<_ACEOF
8852/* confdefs.h. */
8853_ACEOF
8854cat confdefs.h >>conftest.$ac_ext
8855cat >>conftest.$ac_ext <<_ACEOF
8856/* end confdefs.h. */
8857$ac_includes_default
8858 typedef long long ac__type_sizeof_;
8859int
8860main ()
8861{
8862static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
8863test_array [0] = 0
8864
8865 ;
8866 return 0;
8867}
8868_ACEOF
8869rm -f conftest.$ac_objext
8870if { (ac_try="$ac_compile"
8871case "(($ac_try" in
8872 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8873 *) ac_try_echo=$ac_try;;
8874esac
8875eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8876 (eval "$ac_compile") 2>conftest.er1
8877 ac_status=$?
8878 grep -v '^ *+' conftest.er1 >conftest.err
8879 rm -f conftest.er1
8880 cat conftest.err >&5
8881 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8882 (exit $ac_status); } && {
8883 test -z "$ac_cxx_werror_flag" ||
8884 test ! -s conftest.err
8885 } && test -s conftest.$ac_objext; then
8886 ac_hi=-1 ac_mid=-1
8887 while :; do
8888 cat >conftest.$ac_ext <<_ACEOF
8889/* confdefs.h. */
8890_ACEOF
8891cat confdefs.h >>conftest.$ac_ext
8892cat >>conftest.$ac_ext <<_ACEOF
8893/* end confdefs.h. */
8894$ac_includes_default
8895 typedef long long ac__type_sizeof_;
8896int
8897main ()
8898{
8899static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
8900test_array [0] = 0
8901
8902 ;
8903 return 0;
8904}
8905_ACEOF
8906rm -f conftest.$ac_objext
8907if { (ac_try="$ac_compile"
8908case "(($ac_try" in
8909 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8910 *) ac_try_echo=$ac_try;;
8911esac
8912eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8913 (eval "$ac_compile") 2>conftest.er1
8914 ac_status=$?
8915 grep -v '^ *+' conftest.er1 >conftest.err
8916 rm -f conftest.er1
8917 cat conftest.err >&5
8918 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8919 (exit $ac_status); } && {
8920 test -z "$ac_cxx_werror_flag" ||
8921 test ! -s conftest.err
8922 } && test -s conftest.$ac_objext; then
8923 ac_lo=$ac_mid; break
8924else
8925 echo "$as_me: failed program was:" >&5
8926sed 's/^/| /' conftest.$ac_ext >&5
8927
8928 ac_hi=`expr '(' $ac_mid ')' - 1`
8929 if test $ac_mid -le $ac_hi; then
8930 ac_lo= ac_hi=
8931 break
8932 fi
8933 ac_mid=`expr 2 '*' $ac_mid`
8934fi
8935
8936rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8937 done
8938else
8939 echo "$as_me: failed program was:" >&5
8940sed 's/^/| /' conftest.$ac_ext >&5
8941
8942 ac_lo= ac_hi=
8943fi
8944
8945rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8946fi
8947
8948rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8949# Binary search between lo and hi bounds.
8950while test "x$ac_lo" != "x$ac_hi"; do
8951 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
8952 cat >conftest.$ac_ext <<_ACEOF
8953/* confdefs.h. */
8954_ACEOF
8955cat confdefs.h >>conftest.$ac_ext
8956cat >>conftest.$ac_ext <<_ACEOF
8957/* end confdefs.h. */
8958$ac_includes_default
8959 typedef long long ac__type_sizeof_;
8960int
8961main ()
8962{
8963static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
8964test_array [0] = 0
8965
8966 ;
8967 return 0;
8968}
8969_ACEOF
8970rm -f conftest.$ac_objext
8971if { (ac_try="$ac_compile"
8972case "(($ac_try" in
8973 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8974 *) ac_try_echo=$ac_try;;
8975esac
8976eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8977 (eval "$ac_compile") 2>conftest.er1
8978 ac_status=$?
8979 grep -v '^ *+' conftest.er1 >conftest.err
8980 rm -f conftest.er1
8981 cat conftest.err >&5
8982 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8983 (exit $ac_status); } && {
8984 test -z "$ac_cxx_werror_flag" ||
8985 test ! -s conftest.err
8986 } && test -s conftest.$ac_objext; then
8987 ac_hi=$ac_mid
8988else
8989 echo "$as_me: failed program was:" >&5
8990sed 's/^/| /' conftest.$ac_ext >&5
8991
8992 ac_lo=`expr '(' $ac_mid ')' + 1`
8993fi
8994
8995rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8996done
8997case $ac_lo in
8998?*) ac_cv_sizeof_long_long=$ac_lo;;
8999'') if test "$ac_cv_type_long_long" = yes; then
9000 { { echo "$as_me:$LINENO: error: cannot compute sizeof (long long)
9001See \`config.log' for more details." >&5
9002echo "$as_me: error: cannot compute sizeof (long long)
9003See \`config.log' for more details." >&2;}
9004 { (exit 77); exit 77; }; }
9005 else
9006 ac_cv_sizeof_long_long=0
9007 fi ;;
9008esac
9009else
9010 cat >conftest.$ac_ext <<_ACEOF
9011/* confdefs.h. */
9012_ACEOF
9013cat confdefs.h >>conftest.$ac_ext
9014cat >>conftest.$ac_ext <<_ACEOF
9015/* end confdefs.h. */
9016$ac_includes_default
9017 typedef long long ac__type_sizeof_;
9018static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
9019static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
9020#include <stdio.h>
9021#include <stdlib.h>
9022int
9023main ()
9024{
9025
9026 FILE *f = fopen ("conftest.val", "w");
9027 if (! f)
9028 return 1;
9029 if (((long int) (sizeof (ac__type_sizeof_))) < 0)
9030 {
9031 long int i = longval ();
9032 if (i != ((long int) (sizeof (ac__type_sizeof_))))
9033 return 1;
9034 fprintf (f, "%ld\n", i);
9035 }
9036 else
9037 {
9038 unsigned long int i = ulongval ();
9039 if (i != ((long int) (sizeof (ac__type_sizeof_))))
9040 return 1;
9041 fprintf (f, "%lu\n", i);
9042 }
9043 return ferror (f) || fclose (f) != 0;
9044
9045 ;
9046 return 0;
9047}
9048_ACEOF
9049rm -f conftest$ac_exeext
9050if { (ac_try="$ac_link"
9051case "(($ac_try" in
9052 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9053 *) ac_try_echo=$ac_try;;
9054esac
9055eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9056 (eval "$ac_link") 2>&5
9057 ac_status=$?
9058 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9059 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
9060 { (case "(($ac_try" in
9061 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9062 *) ac_try_echo=$ac_try;;
9063esac
9064eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9065 (eval "$ac_try") 2>&5
9066 ac_status=$?
9067 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9068 (exit $ac_status); }; }; then
9069 ac_cv_sizeof_long_long=`cat conftest.val`
9070else
9071 echo "$as_me: program exited with status $ac_status" >&5
9072echo "$as_me: failed program was:" >&5
9073sed 's/^/| /' conftest.$ac_ext >&5
9074
9075( exit $ac_status )
9076if test "$ac_cv_type_long_long" = yes; then
9077 { { echo "$as_me:$LINENO: error: cannot compute sizeof (long long)
9078See \`config.log' for more details." >&5
9079echo "$as_me: error: cannot compute sizeof (long long)
9080See \`config.log' for more details." >&2;}
9081 { (exit 77); exit 77; }; }
9082 else
9083 ac_cv_sizeof_long_long=0
9084 fi
9085fi
9086rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
9087fi
9088rm -f conftest.val
9089fi
9090{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_long" >&5
9091echo "${ECHO_T}$ac_cv_sizeof_long_long" >&6; }
9092
9093
9094
9095cat >>confdefs.h <<_ACEOF
9096#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
9097_ACEOF
9098
9099
9100{ echo "$as_me:$LINENO: checking for int *" >&5
9101echo $ECHO_N "checking for int *... $ECHO_C" >&6; }
9102if test "${ac_cv_type_int_p+set}" = set; then
9103 echo $ECHO_N "(cached) $ECHO_C" >&6
9104else
9105 cat >conftest.$ac_ext <<_ACEOF
9106/* confdefs.h. */
9107_ACEOF
9108cat confdefs.h >>conftest.$ac_ext
9109cat >>conftest.$ac_ext <<_ACEOF
9110/* end confdefs.h. */
9111$ac_includes_default
9112typedef int * ac__type_new_;
9113int
9114main ()
9115{
9116if ((ac__type_new_ *) 0)
9117 return 0;
9118if (sizeof (ac__type_new_))
9119 return 0;
9120 ;
9121 return 0;
9122}
9123_ACEOF
9124rm -f conftest.$ac_objext
9125if { (ac_try="$ac_compile"
9126case "(($ac_try" in
9127 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9128 *) ac_try_echo=$ac_try;;
9129esac
9130eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9131 (eval "$ac_compile") 2>conftest.er1
9132 ac_status=$?
9133 grep -v '^ *+' conftest.er1 >conftest.err
9134 rm -f conftest.er1
9135 cat conftest.err >&5
9136 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9137 (exit $ac_status); } && {
9138 test -z "$ac_cxx_werror_flag" ||
9139 test ! -s conftest.err
9140 } && test -s conftest.$ac_objext; then
9141 ac_cv_type_int_p=yes
9142else
9143 echo "$as_me: failed program was:" >&5
9144sed 's/^/| /' conftest.$ac_ext >&5
9145
9146 ac_cv_type_int_p=no
9147fi
9148
9149rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9150fi
9151{ echo "$as_me:$LINENO: result: $ac_cv_type_int_p" >&5
9152echo "${ECHO_T}$ac_cv_type_int_p" >&6; }
9153
9154# The cast to long int works around a bug in the HP C Compiler
9155# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
9156# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
9157# This bug is HP SR number 8606223364.
9158{ echo "$as_me:$LINENO: checking size of int *" >&5
9159echo $ECHO_N "checking size of int *... $ECHO_C" >&6; }
9160if test "${ac_cv_sizeof_int_p+set}" = set; then
9161 echo $ECHO_N "(cached) $ECHO_C" >&6
9162else
9163 if test "$cross_compiling" = yes; then
9164 # Depending upon the size, compute the lo and hi bounds.
9165cat >conftest.$ac_ext <<_ACEOF
9166/* confdefs.h. */
9167_ACEOF
9168cat confdefs.h >>conftest.$ac_ext
9169cat >>conftest.$ac_ext <<_ACEOF
9170/* end confdefs.h. */
9171$ac_includes_default
9172 typedef int * ac__type_sizeof_;
9173int
9174main ()
9175{
9176static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= 0)];
9177test_array [0] = 0
9178
9179 ;
9180 return 0;
9181}
9182_ACEOF
9183rm -f conftest.$ac_objext
9184if { (ac_try="$ac_compile"
9185case "(($ac_try" in
9186 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9187 *) ac_try_echo=$ac_try;;
9188esac
9189eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9190 (eval "$ac_compile") 2>conftest.er1
9191 ac_status=$?
9192 grep -v '^ *+' conftest.er1 >conftest.err
9193 rm -f conftest.er1
9194 cat conftest.err >&5
9195 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9196 (exit $ac_status); } && {
9197 test -z "$ac_cxx_werror_flag" ||
9198 test ! -s conftest.err
9199 } && test -s conftest.$ac_objext; then
9200 ac_lo=0 ac_mid=0
9201 while :; do
9202 cat >conftest.$ac_ext <<_ACEOF
9203/* confdefs.h. */
9204_ACEOF
9205cat confdefs.h >>conftest.$ac_ext
9206cat >>conftest.$ac_ext <<_ACEOF
9207/* end confdefs.h. */
9208$ac_includes_default
9209 typedef int * ac__type_sizeof_;
9210int
9211main ()
9212{
9213static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
9214test_array [0] = 0
9215
9216 ;
9217 return 0;
9218}
9219_ACEOF
9220rm -f conftest.$ac_objext
9221if { (ac_try="$ac_compile"
9222case "(($ac_try" in
9223 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9224 *) ac_try_echo=$ac_try;;
9225esac
9226eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9227 (eval "$ac_compile") 2>conftest.er1
9228 ac_status=$?
9229 grep -v '^ *+' conftest.er1 >conftest.err
9230 rm -f conftest.er1
9231 cat conftest.err >&5
9232 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9233 (exit $ac_status); } && {
9234 test -z "$ac_cxx_werror_flag" ||
9235 test ! -s conftest.err
9236 } && test -s conftest.$ac_objext; then
9237 ac_hi=$ac_mid; break
9238else
9239 echo "$as_me: failed program was:" >&5
9240sed 's/^/| /' conftest.$ac_ext >&5
9241
9242 ac_lo=`expr $ac_mid + 1`
9243 if test $ac_lo -le $ac_mid; then
9244 ac_lo= ac_hi=
9245 break
9246 fi
9247 ac_mid=`expr 2 '*' $ac_mid + 1`
9248fi
9249
9250rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9251 done
9252else
9253 echo "$as_me: failed program was:" >&5
9254sed 's/^/| /' conftest.$ac_ext >&5
9255
9256 cat >conftest.$ac_ext <<_ACEOF
9257/* confdefs.h. */
9258_ACEOF
9259cat confdefs.h >>conftest.$ac_ext
9260cat >>conftest.$ac_ext <<_ACEOF
9261/* end confdefs.h. */
9262$ac_includes_default
9263 typedef int * ac__type_sizeof_;
9264int
9265main ()
9266{
9267static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) < 0)];
9268test_array [0] = 0
9269
9270 ;
9271 return 0;
9272}
9273_ACEOF
9274rm -f conftest.$ac_objext
9275if { (ac_try="$ac_compile"
9276case "(($ac_try" in
9277 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9278 *) ac_try_echo=$ac_try;;
9279esac
9280eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9281 (eval "$ac_compile") 2>conftest.er1
9282 ac_status=$?
9283 grep -v '^ *+' conftest.er1 >conftest.err
9284 rm -f conftest.er1
9285 cat conftest.err >&5
9286 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9287 (exit $ac_status); } && {
9288 test -z "$ac_cxx_werror_flag" ||
9289 test ! -s conftest.err
9290 } && test -s conftest.$ac_objext; then
9291 ac_hi=-1 ac_mid=-1
9292 while :; do
9293 cat >conftest.$ac_ext <<_ACEOF
9294/* confdefs.h. */
9295_ACEOF
9296cat confdefs.h >>conftest.$ac_ext
9297cat >>conftest.$ac_ext <<_ACEOF
9298/* end confdefs.h. */
9299$ac_includes_default
9300 typedef int * ac__type_sizeof_;
9301int
9302main ()
9303{
9304static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) >= $ac_mid)];
9305test_array [0] = 0
9306
9307 ;
9308 return 0;
9309}
9310_ACEOF
9311rm -f conftest.$ac_objext
9312if { (ac_try="$ac_compile"
9313case "(($ac_try" in
9314 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9315 *) ac_try_echo=$ac_try;;
9316esac
9317eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9318 (eval "$ac_compile") 2>conftest.er1
9319 ac_status=$?
9320 grep -v '^ *+' conftest.er1 >conftest.err
9321 rm -f conftest.er1
9322 cat conftest.err >&5
9323 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9324 (exit $ac_status); } && {
9325 test -z "$ac_cxx_werror_flag" ||
9326 test ! -s conftest.err
9327 } && test -s conftest.$ac_objext; then
9328 ac_lo=$ac_mid; break
9329else
9330 echo "$as_me: failed program was:" >&5
9331sed 's/^/| /' conftest.$ac_ext >&5
9332
9333 ac_hi=`expr '(' $ac_mid ')' - 1`
9334 if test $ac_mid -le $ac_hi; then
9335 ac_lo= ac_hi=
9336 break
9337 fi
9338 ac_mid=`expr 2 '*' $ac_mid`
9339fi
9340
9341rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9342 done
9343else
9344 echo "$as_me: failed program was:" >&5
9345sed 's/^/| /' conftest.$ac_ext >&5
9346
9347 ac_lo= ac_hi=
9348fi
9349
9350rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9351fi
9352
9353rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9354# Binary search between lo and hi bounds.
9355while test "x$ac_lo" != "x$ac_hi"; do
9356 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
9357 cat >conftest.$ac_ext <<_ACEOF
9358/* confdefs.h. */
9359_ACEOF
9360cat confdefs.h >>conftest.$ac_ext
9361cat >>conftest.$ac_ext <<_ACEOF
9362/* end confdefs.h. */
9363$ac_includes_default
9364 typedef int * ac__type_sizeof_;
9365int
9366main ()
9367{
9368static int test_array [1 - 2 * !(((long int) (sizeof (ac__type_sizeof_))) <= $ac_mid)];
9369test_array [0] = 0
9370
9371 ;
9372 return 0;
9373}
9374_ACEOF
9375rm -f conftest.$ac_objext
9376if { (ac_try="$ac_compile"
9377case "(($ac_try" in
9378 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9379 *) ac_try_echo=$ac_try;;
9380esac
9381eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9382 (eval "$ac_compile") 2>conftest.er1
9383 ac_status=$?
9384 grep -v '^ *+' conftest.er1 >conftest.err
9385 rm -f conftest.er1
9386 cat conftest.err >&5
9387 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9388 (exit $ac_status); } && {
9389 test -z "$ac_cxx_werror_flag" ||
9390 test ! -s conftest.err
9391 } && test -s conftest.$ac_objext; then
9392 ac_hi=$ac_mid
9393else
9394 echo "$as_me: failed program was:" >&5
9395sed 's/^/| /' conftest.$ac_ext >&5
9396
9397 ac_lo=`expr '(' $ac_mid ')' + 1`
9398fi
9399
9400rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9401done
9402case $ac_lo in
9403?*) ac_cv_sizeof_int_p=$ac_lo;;
9404'') if test "$ac_cv_type_int_p" = yes; then
9405 { { echo "$as_me:$LINENO: error: cannot compute sizeof (int *)
9406See \`config.log' for more details." >&5
9407echo "$as_me: error: cannot compute sizeof (int *)
9408See \`config.log' for more details." >&2;}
9409 { (exit 77); exit 77; }; }
9410 else
9411 ac_cv_sizeof_int_p=0
9412 fi ;;
9413esac
9414else
9415 cat >conftest.$ac_ext <<_ACEOF
9416/* confdefs.h. */
9417_ACEOF
9418cat confdefs.h >>conftest.$ac_ext
9419cat >>conftest.$ac_ext <<_ACEOF
9420/* end confdefs.h. */
9421$ac_includes_default
9422 typedef int * ac__type_sizeof_;
9423static long int longval () { return (long int) (sizeof (ac__type_sizeof_)); }
9424static unsigned long int ulongval () { return (long int) (sizeof (ac__type_sizeof_)); }
9425#include <stdio.h>
9426#include <stdlib.h>
9427int
9428main ()
9429{
9430
9431 FILE *f = fopen ("conftest.val", "w");
9432 if (! f)
9433 return 1;
9434 if (((long int) (sizeof (ac__type_sizeof_))) < 0)
9435 {
9436 long int i = longval ();
9437 if (i != ((long int) (sizeof (ac__type_sizeof_))))
9438 return 1;
9439 fprintf (f, "%ld\n", i);
9440 }
9441 else
9442 {
9443 unsigned long int i = ulongval ();
9444 if (i != ((long int) (sizeof (ac__type_sizeof_))))
9445 return 1;
9446 fprintf (f, "%lu\n", i);
9447 }
9448 return ferror (f) || fclose (f) != 0;
9449
9450 ;
9451 return 0;
9452}
9453_ACEOF
9454rm -f conftest$ac_exeext
9455if { (ac_try="$ac_link"
9456case "(($ac_try" in
9457 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9458 *) ac_try_echo=$ac_try;;
9459esac
9460eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9461 (eval "$ac_link") 2>&5
9462 ac_status=$?
9463 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9464 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
9465 { (case "(($ac_try" in
9466 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9467 *) ac_try_echo=$ac_try;;
9468esac
9469eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9470 (eval "$ac_try") 2>&5
9471 ac_status=$?
9472 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9473 (exit $ac_status); }; }; then
9474 ac_cv_sizeof_int_p=`cat conftest.val`
9475else
9476 echo "$as_me: program exited with status $ac_status" >&5
9477echo "$as_me: failed program was:" >&5
9478sed 's/^/| /' conftest.$ac_ext >&5
9479
9480( exit $ac_status )
9481if test "$ac_cv_type_int_p" = yes; then
9482 { { echo "$as_me:$LINENO: error: cannot compute sizeof (int *)
9483See \`config.log' for more details." >&5
9484echo "$as_me: error: cannot compute sizeof (int *)
9485See \`config.log' for more details." >&2;}
9486 { (exit 77); exit 77; }; }
9487 else
9488 ac_cv_sizeof_int_p=0
9489 fi
9490fi
9491rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
9492fi
9493rm -f conftest.val
9494fi
9495{ echo "$as_me:$LINENO: result: $ac_cv_sizeof_int_p" >&5
9496echo "${ECHO_T}$ac_cv_sizeof_int_p" >&6; }
9497
9498
9499
9500cat >>confdefs.h <<_ACEOF
9501#define SIZEOF_INT_P $ac_cv_sizeof_int_p
9502_ACEOF
9503
9504
9505
9506
9507{ echo "$as_me:$LINENO: checking for int16_t" >&5
9508echo $ECHO_N "checking for int16_t... $ECHO_C" >&6; }
9509if test "${rxvt_cv_int16_t+set}" = set; then
9510 echo $ECHO_N "(cached) $ECHO_C" >&6
9511else
9512 cat >conftest.$ac_ext <<_ACEOF
9513/* confdefs.h. */
9514_ACEOF
9515cat confdefs.h >>conftest.$ac_ext
9516cat >>conftest.$ac_ext <<_ACEOF
9517/* end confdefs.h. */
9518#include <stdint.h>
9519int
9520main ()
9521{
9522int16_t dummy;
9523 ;
9524 return 0;
9525}
9526_ACEOF
9527rm -f conftest.$ac_objext
9528if { (ac_try="$ac_compile"
9529case "(($ac_try" in
9530 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9531 *) ac_try_echo=$ac_try;;
9532esac
9533eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9534 (eval "$ac_compile") 2>conftest.er1
9535 ac_status=$?
9536 grep -v '^ *+' conftest.er1 >conftest.err
9537 rm -f conftest.er1
9538 cat conftest.err >&5
9539 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9540 (exit $ac_status); } && {
9541 test -z "$ac_cxx_werror_flag" ||
9542 test ! -s conftest.err
9543 } && test -s conftest.$ac_objext; then
9544 rxvt_cv_int16_t=yes
9545else
9546 echo "$as_me: failed program was:" >&5
9547sed 's/^/| /' conftest.$ac_ext >&5
9548
9549 if test "$ac_cv_sizeof_char" -ge 2; then
9550 rxvt_cv_int16_t=" char"
9551else
9552 if test "$ac_cv_sizeof_short" -ge 2; then
9553 rxvt_cv_int16_t=" short"
9554 else
9555 if test "$ac_cv_sizeof_int" -ge 2; then
9556 rxvt_cv_int16_t=" int"
9557 else
9558 if test "$ac_cv_sizeof_long" -ge 2; then
9559 rxvt_cv_int16_t=" long"
9560 else
9561 if test "$ac_cv_sizeof_long_long" -ge 2; then
9562 rxvt_cv_int16_t=" long long"
9563 else
9564 rxvt_cv_int16_t=" short" # we _must_ have a (possibly wrong) default
9565 fi
9566 fi
9567 fi
9568 fi
9569fi
9570fi
9571
9572rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9573fi
9574{ echo "$as_me:$LINENO: result: $rxvt_cv_int16_t" >&5
9575echo "${ECHO_T}$rxvt_cv_int16_t" >&6; }
9576if test x"$rxvt_cv_int16_t" != xyes; then
9577 rxvt_int16_typedef="typedef $rxvt_cv_int16_t int16_t;"
9578else
9579 if test x"" = x; then
9580 rxvt_int16_typedef="/* typedef short int16_t; */"
9581 else
9582 rxvt_int16_typedef="/* typedef short int16_t; */"
9583 fi
9584fi
9585
9586{ echo "$as_me:$LINENO: checking for uint16_t" >&5
9587echo $ECHO_N "checking for uint16_t... $ECHO_C" >&6; }
9588if test "${rxvt_cv_uint16_t+set}" = set; then
9589 echo $ECHO_N "(cached) $ECHO_C" >&6
9590else
9591 cat >conftest.$ac_ext <<_ACEOF
9592/* confdefs.h. */
9593_ACEOF
9594cat confdefs.h >>conftest.$ac_ext
9595cat >>conftest.$ac_ext <<_ACEOF
9596/* end confdefs.h. */
9597#include <stdint.h>
9598int
9599main ()
9600{
9601uint16_t dummy;
9602 ;
9603 return 0;
9604}
9605_ACEOF
9606rm -f conftest.$ac_objext
9607if { (ac_try="$ac_compile"
9608case "(($ac_try" in
9609 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9610 *) ac_try_echo=$ac_try;;
9611esac
9612eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9613 (eval "$ac_compile") 2>conftest.er1
9614 ac_status=$?
9615 grep -v '^ *+' conftest.er1 >conftest.err
9616 rm -f conftest.er1
9617 cat conftest.err >&5
9618 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9619 (exit $ac_status); } && {
9620 test -z "$ac_cxx_werror_flag" ||
9621 test ! -s conftest.err
9622 } && test -s conftest.$ac_objext; then
9623 rxvt_cv_uint16_t=yes
9624else
9625 echo "$as_me: failed program was:" >&5
9626sed 's/^/| /' conftest.$ac_ext >&5
9627
9628 if test "$ac_cv_sizeof_char" -ge 2; then
9629 rxvt_cv_uint16_t="unsigned char"
9630else
9631 if test "$ac_cv_sizeof_short" -ge 2; then
9632 rxvt_cv_uint16_t="unsigned short"
9633 else
9634 if test "$ac_cv_sizeof_int" -ge 2; then
9635 rxvt_cv_uint16_t="unsigned int"
9636 else
9637 if test "$ac_cv_sizeof_long" -ge 2; then
9638 rxvt_cv_uint16_t="unsigned long"
9639 else
9640 if test "$ac_cv_sizeof_long_long" -ge 2; then
9641 rxvt_cv_uint16_t="unsigned long long"
9642 else
9643 rxvt_cv_uint16_t="unsigned short" # we _must_ have a (possibly wrong) default
9644 fi
9645 fi
9646 fi
9647 fi
9648fi
9649fi
9650
9651rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9652fi
9653{ echo "$as_me:$LINENO: result: $rxvt_cv_uint16_t" >&5
9654echo "${ECHO_T}$rxvt_cv_uint16_t" >&6; }
9655if test x"$rxvt_cv_uint16_t" != xyes; then
9656 rxvt_uint16_typedef="typedef $rxvt_cv_uint16_t uint16_t;"
9657else
9658 if test x"unsigned" = x; then
9659 rxvt_uint16_typedef="/* typedef short uint16_t; */"
9660 else
9661 rxvt_uint16_typedef="/* typedef unsigned short uint16_t; */"
9662 fi
9663fi
9664
9665{ echo "$as_me:$LINENO: checking for int32_t" >&5
9666echo $ECHO_N "checking for int32_t... $ECHO_C" >&6; }
9667if test "${rxvt_cv_int32_t+set}" = set; then
9668 echo $ECHO_N "(cached) $ECHO_C" >&6
9669else
9670 cat >conftest.$ac_ext <<_ACEOF
9671/* confdefs.h. */
9672_ACEOF
9673cat confdefs.h >>conftest.$ac_ext
9674cat >>conftest.$ac_ext <<_ACEOF
9675/* end confdefs.h. */
9676#include <stdint.h>
9677int
9678main ()
9679{
9680int32_t dummy;
9681 ;
9682 return 0;
9683}
9684_ACEOF
9685rm -f conftest.$ac_objext
9686if { (ac_try="$ac_compile"
9687case "(($ac_try" in
9688 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9689 *) ac_try_echo=$ac_try;;
9690esac
9691eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9692 (eval "$ac_compile") 2>conftest.er1
9693 ac_status=$?
9694 grep -v '^ *+' conftest.er1 >conftest.err
9695 rm -f conftest.er1
9696 cat conftest.err >&5
9697 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9698 (exit $ac_status); } && {
9699 test -z "$ac_cxx_werror_flag" ||
9700 test ! -s conftest.err
9701 } && test -s conftest.$ac_objext; then
9702 rxvt_cv_int32_t=yes
9703else
9704 echo "$as_me: failed program was:" >&5
9705sed 's/^/| /' conftest.$ac_ext >&5
9706
9707 if test "$ac_cv_sizeof_char" -ge 4; then
9708 rxvt_cv_int32_t=" char"
9709else
9710 if test "$ac_cv_sizeof_short" -ge 4; then
9711 rxvt_cv_int32_t=" short"
9712 else
9713 if test "$ac_cv_sizeof_int" -ge 4; then
9714 rxvt_cv_int32_t=" int"
9715 else
9716 if test "$ac_cv_sizeof_long" -ge 4; then
9717 rxvt_cv_int32_t=" long"
9718 else
9719 if test "$ac_cv_sizeof_long_long" -ge 4; then
9720 rxvt_cv_int32_t=" long long"
9721 else
9722 rxvt_cv_int32_t=" int" # we _must_ have a (possibly wrong) default
9723 fi
9724 fi
9725 fi
9726 fi
9727fi
9728fi
9729
9730rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9731fi
9732{ echo "$as_me:$LINENO: result: $rxvt_cv_int32_t" >&5
9733echo "${ECHO_T}$rxvt_cv_int32_t" >&6; }
9734if test x"$rxvt_cv_int32_t" != xyes; then
9735 rxvt_int32_typedef="typedef $rxvt_cv_int32_t int32_t;"
9736else
9737 if test x"" = x; then
9738 rxvt_int32_typedef="/* typedef int int32_t; */"
9739 else
9740 rxvt_int32_typedef="/* typedef int int32_t; */"
9741 fi
9742fi
9743
9744{ echo "$as_me:$LINENO: checking for uint32_t" >&5
9745echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6; }
9746if test "${rxvt_cv_uint32_t+set}" = set; then
9747 echo $ECHO_N "(cached) $ECHO_C" >&6
9748else
9749 cat >conftest.$ac_ext <<_ACEOF
9750/* confdefs.h. */
9751_ACEOF
9752cat confdefs.h >>conftest.$ac_ext
9753cat >>conftest.$ac_ext <<_ACEOF
9754/* end confdefs.h. */
9755#include <stdint.h>
9756int
9757main ()
9758{
9759uint32_t dummy;
9760 ;
9761 return 0;
9762}
9763_ACEOF
9764rm -f conftest.$ac_objext
9765if { (ac_try="$ac_compile"
9766case "(($ac_try" in
9767 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9768 *) ac_try_echo=$ac_try;;
9769esac
9770eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9771 (eval "$ac_compile") 2>conftest.er1
9772 ac_status=$?
9773 grep -v '^ *+' conftest.er1 >conftest.err
9774 rm -f conftest.er1
9775 cat conftest.err >&5
9776 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9777 (exit $ac_status); } && {
9778 test -z "$ac_cxx_werror_flag" ||
9779 test ! -s conftest.err
9780 } && test -s conftest.$ac_objext; then
9781 rxvt_cv_uint32_t=yes
9782else
9783 echo "$as_me: failed program was:" >&5
9784sed 's/^/| /' conftest.$ac_ext >&5
9785
9786 if test "$ac_cv_sizeof_char" -ge 4; then
9787 rxvt_cv_uint32_t="unsigned char"
9788else
9789 if test "$ac_cv_sizeof_short" -ge 4; then
9790 rxvt_cv_uint32_t="unsigned short"
9791 else
9792 if test "$ac_cv_sizeof_int" -ge 4; then
9793 rxvt_cv_uint32_t="unsigned int"
9794 else
9795 if test "$ac_cv_sizeof_long" -ge 4; then
9796 rxvt_cv_uint32_t="unsigned long"
9797 else
9798 if test "$ac_cv_sizeof_long_long" -ge 4; then
9799 rxvt_cv_uint32_t="unsigned long long"
9800 else
9801 rxvt_cv_uint32_t="unsigned int" # we _must_ have a (possibly wrong) default
9802 fi
9803 fi
9804 fi
9805 fi
9806fi
9807fi
9808
9809rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9810fi
9811{ echo "$as_me:$LINENO: result: $rxvt_cv_uint32_t" >&5
9812echo "${ECHO_T}$rxvt_cv_uint32_t" >&6; }
9813if test x"$rxvt_cv_uint32_t" != xyes; then
9814 rxvt_uint32_typedef="typedef $rxvt_cv_uint32_t uint32_t;"
9815else
9816 if test x"unsigned" = x; then
9817 rxvt_uint32_typedef="/* typedef int uint32_t; */"
9818 else
9819 rxvt_uint32_typedef="/* typedef unsigned int uint32_t; */"
9820 fi
9821fi
9822
9823if test "$ac_cv_sizeof_int_p" -eq 8; then
9824 rxvt_intp_define="#define intp_t int64_t"
9825 rxvt_u_intp_define="#define u_intp_t u_int64_t"
9826else
9827 if test "$ac_cv_sizeof_int_p" -eq 4; then
9828 rxvt_intp_define="#define intp_t int32_t"
9829 rxvt_u_intp_define="#define u_intp_t u_int32_t"
9830 else
9831 if test "$ac_cv_sizeof_int_p" -eq 2; then
9832 rxvt_intp_define="#define intp_t int16_t"
9833 rxvt_u_intp_define="#define u_intp_t u_int16_t"
9834 else
9835 rxvt_intp_define="#error set intp_t"
9836 rxvt_u_intp_define="#error set u_intp_t"
9837 fi
9838 fi
9839fi
9840
9841 8224
9842 8225
9843 8226
9844for ac_func in unsetenv 8227for ac_func in unsetenv
9845do 8228do
13283if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then 11666if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then
13284 include_stdint_h="#include <stdint.h>" 11667 include_stdint_h="#include <stdint.h>"
13285else 11668else
13286 include_stdint_h="/* #include <stdint.h> */" 11669 include_stdint_h="/* #include <stdint.h> */"
13287fi 11670fi
13288if test "$ac_cv_header_stdarg_h" = "yes" -o "$notset" = "dontmatch"; then
13289 include_stdarg_h="#include <cstdarg>"
13290else
13291 include_stdarg_h="/* #include <cstdarg> */"
13292fi
13293if test "$ac_cv_header_stdlib_h" = "yes" -o "$notset" = "dontmatch"; then
13294 include_stdlib_h="#include <cstdlib>"
13295else
13296 include_stdlib_h="/* #include <cstdlib> */"
13297fi
13298if test "$ac_cv_header_unistd_h" = "yes" -o "$notset" = "dontmatch"; then
13299 include_unistd_h="#include <unistd.h>"
13300else
13301 include_unistd_h="/* #include <unistd.h> */"
13302fi
13303if test "$ac_cv_header_string_h" = "yes" -o "$notset" = "dontmatch"; then
13304 include_string_h="#include <cstring>"
13305else
13306 include_string_h="/* #include <cstring> */"
13307fi
13308if test "$ac_cv_header_fcntl_h" = "yes" -o "$notset" = "dontmatch"; then
13309 include_fcntl_h="#include <fcntl.h>"
13310else
13311 include_fcntl_h="/* #include <fcntl.h> */"
13312fi
13313if test "$ac_cv_header_util_h" = "yes" -o "$notset" = "dontmatch"; then
13314 include_util_h="#include <util.h>"
13315else
13316 include_util_h="/* #include <util.h> */"
13317fi
13318if test "$ac_cv_header_assert_h" = "yes" -o "$notset" = "dontmatch"; then
13319 include_assert_h="#include <assert.h>"
13320else
13321 include_assert_h="/* #include <assert.h> */"
13322fi
13323if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then 11671if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then
13324 include_sys_ioctl_h="#include <sys/ioctl.h>" 11672 include_sys_ioctl_h="#include <sys/ioctl.h>"
13325else 11673else
13326 include_sys_ioctl_h="/* #include <sys/ioctl.h> */" 11674 include_sys_ioctl_h="/* #include <sys/ioctl.h> */"
13327fi 11675fi
13328if test "$ac_cv_header_sys_select_h" = "yes" -o "$notset" = "dontmatch"; then
13329 include_sys_select_h="#include <sys/select.h>"
13330else
13331 include_sys_select_h="/* #include <sys/select.h> */"
13332fi
13333if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then 11676if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then
13334 include_sys_strredir_h="#include <sys/strredir.h>" 11677 include_sys_strredir_h="#include <sys/strredir.h>"
13335else 11678else
13336 include_sys_strredir_h="/* #include <sys/strredir.h> */" 11679 include_sys_strredir_h="/* #include <sys/strredir.h> */"
13337fi
13338if test "$ac_cv_header_sys_time_h" = "yes" -o "$notset" = "dontmatch"; then
13339 include_sys_time_h="#include <sys/time.h>"
13340else
13341 include_sys_time_h="/* #include <sys/time.h> */"
13342fi
13343if test "$ac_cv_header_sys_time_h" = "no" -o "$ac_cv_header_time" = "yes"; then
13344 include_time_h="#include <time.h>"
13345else
13346 include_time_h="/* #include <time.h> */"
13347fi 11680fi
13348 11681
13349ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile src/rxvtlib.h" 11682ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile src/rxvtlib.h"
13350 11683
13351cat >confcache <<\_ACEOF 11684cat >confcache <<\_ACEOF
14038X_CFLAGS!$X_CFLAGS$ac_delim 12371X_CFLAGS!$X_CFLAGS$ac_delim
14039X_PRE_LIBS!$X_PRE_LIBS$ac_delim 12372X_PRE_LIBS!$X_PRE_LIBS$ac_delim
14040X_LIBS!$X_LIBS$ac_delim 12373X_LIBS!$X_LIBS$ac_delim
14041X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim 12374X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
14042afterimage_config!$afterimage_config$ac_delim 12375afterimage_config!$afterimage_config$ac_delim
14043rxvt_int16_typedef!$rxvt_int16_typedef$ac_delim
14044rxvt_uint16_typedef!$rxvt_uint16_typedef$ac_delim
14045rxvt_int32_typedef!$rxvt_int32_typedef$ac_delim
14046rxvt_uint32_typedef!$rxvt_uint32_typedef$ac_delim
14047rxvt_intp_define!$rxvt_intp_define$ac_delim
14048rxvt_u_intp_define!$rxvt_u_intp_define$ac_delim
14049PKG_CONFIG!$PKG_CONFIG$ac_delim 12376PKG_CONFIG!$PKG_CONFIG$ac_delim
14050XFT_CONFIG!$XFT_CONFIG$ac_delim 12377XFT_CONFIG!$XFT_CONFIG$ac_delim
14051PERL!$PERL$ac_delim 12378PERL!$PERL$ac_delim
14052PERLLIB!$PERLLIB$ac_delim 12379PERLLIB!$PERLLIB$ac_delim
14053PERLFLAGS!$PERLFLAGS$ac_delim 12380PERLFLAGS!$PERLFLAGS$ac_delim
14055IF_PERL!$IF_PERL$ac_delim 12382IF_PERL!$IF_PERL$ac_delim
14056PERL_O!$PERL_O$ac_delim 12383PERL_O!$PERL_O$ac_delim
14057AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim 12384AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
14058AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 12385AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
14059include_stdint_h!$include_stdint_h$ac_delim 12386include_stdint_h!$include_stdint_h$ac_delim
14060include_stdarg_h!$include_stdarg_h$ac_delim
14061include_stdlib_h!$include_stdlib_h$ac_delim
14062include_unistd_h!$include_unistd_h$ac_delim
14063include_string_h!$include_string_h$ac_delim
14064include_fcntl_h!$include_fcntl_h$ac_delim 12387include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14065include_util_h!$include_util_h$ac_delim
14066include_assert_h!$include_assert_h$ac_delim 12388include_sys_strredir_h!$include_sys_strredir_h$ac_delim
12389LIBOBJS!$LIBOBJS$ac_delim
12390LTLIBOBJS!$LTLIBOBJS$ac_delim
14067_ACEOF 12391_ACEOF
14068 12392
14069 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 12393 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then
14070 break 12394 break
14071 elif $ac_last_try; then 12395 elif $ac_last_try; then
14072 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 12396 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14073echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 12397echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14074 { (exit 1); exit 1; }; } 12398 { (exit 1); exit 1; }; }
14083 ac_eof=`expr $ac_eof + 1` 12407 ac_eof=`expr $ac_eof + 1`
14084fi 12408fi
14085 12409
14086cat >>$CONFIG_STATUS <<_ACEOF 12410cat >>$CONFIG_STATUS <<_ACEOF
14087cat >"\$tmp/subs-1.sed" <<\CEOF$ac_eof 12411cat >"\$tmp/subs-1.sed" <<\CEOF$ac_eof
14088/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
14089_ACEOF
14090sed '
14091s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
14092s/^/s,@/; s/!/@,|#_!!_#|/
14093:n
14094t n
14095s/'"$ac_delim"'$/,g/; t
14096s/$/\\/; p
14097N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
14098' >>$CONFIG_STATUS <conf$$subs.sed
14099rm -f conf$$subs.sed
14100cat >>$CONFIG_STATUS <<_ACEOF
14101CEOF$ac_eof
14102_ACEOF
14103
14104
14105ac_delim='%!_!# '
14106for ac_last_try in false false false false false :; do
14107 cat >conf$$subs.sed <<_ACEOF
14108include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14109include_sys_select_h!$include_sys_select_h$ac_delim
14110include_sys_strredir_h!$include_sys_strredir_h$ac_delim
14111include_sys_time_h!$include_sys_time_h$ac_delim
14112include_time_h!$include_time_h$ac_delim
14113LIBOBJS!$LIBOBJS$ac_delim
14114LTLIBOBJS!$LTLIBOBJS$ac_delim
14115_ACEOF
14116
14117 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 7; then
14118 break
14119 elif $ac_last_try; then
14120 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14121echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14122 { (exit 1); exit 1; }; }
14123 else
14124 ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
14125 fi
14126done
14127
14128ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
14129if test -n "$ac_eof"; then
14130 ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
14131 ac_eof=`expr $ac_eof + 1`
14132fi
14133
14134cat >>$CONFIG_STATUS <<_ACEOF
14135cat >"\$tmp/subs-2.sed" <<\CEOF$ac_eof
14136/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end 12412/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
14137_ACEOF 12413_ACEOF
14138sed ' 12414sed '
14139s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g 12415s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
14140s/^/s,@/; s/!/@,|#_!!_#|/ 12416s/^/s,@/; s/!/@,|#_!!_#|/
14393s&@builddir@&$ac_builddir&;t t 12669s&@builddir@&$ac_builddir&;t t
14394s&@abs_builddir@&$ac_abs_builddir&;t t 12670s&@abs_builddir@&$ac_abs_builddir&;t t
14395s&@abs_top_builddir@&$ac_abs_top_builddir&;t t 12671s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
14396s&@INSTALL@&$ac_INSTALL&;t t 12672s&@INSTALL@&$ac_INSTALL&;t t
14397$ac_datarootdir_hack 12673$ac_datarootdir_hack
14398" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out 12674" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
14399 12675
14400test -z "$ac_datarootdir_hack$ac_datarootdir_seen" && 12676test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
14401 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } && 12677 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
14402 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } && 12678 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
14403 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir' 12679 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines